#import "FullScreenWindow.h"

@implementation FullScreenWindow

-(id)initWithContentRect: (NSRect) contentRect
			styleMask: (unsigned int) aStyle
			backing: (NSBackingStoreType) bufferingType
			defer: (BOOL) flag
			{
			if (self = [super initWithContentRect: contentRect
							styleMask: NSBorderlessWindowMask
							backing: bufferingType
							defer: flag])
				{
				
				}
			return self;
			}
			
- (void)awakeFromNib
	{
	[self setAcceptsMouseMovedEvents:YES];
	}

- (void)mouseMoved:(NSEvent *)theEvent
	{
	if ([self isVisible])
		{
		NSLog (@"Cursor Timer Reset");
		[timer invalidate];
	
		NSLog(@"Cursor Timer Started");
		timer = [NSTimer scheduledTimerWithTimeInterval:1.0 target:self selector:@selector(hideMouse:) userInfo:nil repeats:NO];
		}
	}

- (void)hideMouse:(NSTimer *)theTimer
	{
	[NSCursor setHiddenUntilMouseMoves:YES];
	timer = nil;
	}

@end
